void enableWIFI(void);
void disableWIFI(void);
void enforceResetWIFI(void);
void releaseResetWIFI(void);
void resetWIFI(void);
void goWIFIUARTDownloadMode(void);
void goWIFIFlashBootMode(void);
void wifiPathThru(void);

uint8_t sendWIFIString(int cmdNumber);

enum WF_USART_MODE {WF_UNDEFINED, WF_PASSTHRU, WF_PROCESSING	};

enum WF_CODES {WF_OK, WF_ERROR, WF_UNKNOWN_REPLY, WF_HAL_ERROR};

enum WF_CODES getWIFI_OKorERROR(const char *expectedString);

uint8_t startupWIFI(void);


